UPDATE-PASSWD(8)

NAZWA
update-passwd - bezpiecznie aktualizuj /etc/passwd, /etc/shadow i /etc/group

SKŁADNIA
update-passwd [opcje]

OPIS
update-passwd aktualizuje pliki /etc/passwd, /etc/shadow i /etc/group w działających systemach Debian. Porównuje je z autorytatywnymi kopiami zawartymi w pakiecie base-passwd, a następnie aktualizuje wszystkie wpisy w globalnym przedziale systemowym (to jest 0–99).

OPCJE
update-passwd wykorzystuje standardową składnię linii poleceń GNU, gdzie długie opcje poprzedzone są dwoma znakami myślnika (‘-’).

-p, --passwd-master=PLIK
    Użyj PLIKu jako autorytatywnej kopii bazy danych "passwd". Domyślna wartość to /usr/share/base-passwd/passwd.master.

-g, --group-master=PLIK
    Użyj PLIKu jako autorytatywnej kopii bazy danych "group". Domyślna wartość to /usr/share/base-passwd/group.master.

-P, --passwd=PLIK
    Użyj PLIKu jako systemowej bazy danych "passwd". Domyślna wartość to /etc/passwd.

-S, --shadow=PLIK
    Użyj PLIKu jako systemowej bazy danych "shadow". Domyślna wartość to /etc/shadow.

-G, --group=PLIK
    Użyj PLIKu jako systemowej bazy danych "group". Domyślna wartość to /etc/group.

-s, --sanity-check
    Wykonaj tylko testy poprawności, niczego nie zmieniaj.

-v, --verbose
    Podawaj dokładne informacje o wykonywanych czynnościach.

-n, --dry-run
    Niczego nie zmieniaj, ale napisz co zostałoby wykonane.

-L, --no-locking
    Nie blokuj bazy danych kont. Opcji tej należy używać tylko przy wyłapywaniu błędów, nie w czasie normalnej pracy. Powtarzam: używaj tej opcji tylko jeśli masz pewność, że jej potrzebujesz!

-h, --help
    Pokaż instrukcję użycia update-passwd.

-V, --version
    Pokaż wersję.

BŁĘDY
W tym momencie update-passwd nie sprawdza pliku shadow. Powinien sprawdzać czy wpisy w passwd są także w shadow i na odwrót, oraz czy tylko jeden z plików zawiera hasła.

AUTOR
Wichert Akkerman <wakkerma@debian.org>

Ten program został napisany dla projektu Debian. Prawa autorskie: Copyright 1999–2002 Wichert Akkerman i copyright 2002, 2003 Colin Watson. Jest rozpowszechniany pod wersją 2 Powszechnej Publicznej Licencji GNU.